Bug 1018044 - unexpanded systemd-macros in rpm-scriptlets
unexpanded systemd-macros in rpm-scriptlets
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ipmiutil (Show other bugs)
20
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Andy Cress
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 00:50 EDT by Ralf Corsepius
Modified: 2015-06-29 21:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:24:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2013-10-11 00:50:09 EDT
Description of problem:

ipmiutil for Fedora >= 20 contains broken rpm-scriptlets,
which contain unexpanded systemd-macros:

# rpm -q --scripts -p ipmiutil-2.9.1-2.fc20.i686.rpm 
...
postinstall scriptlet (using /bin/sh):
...
%systemd_post  ipmiutil_evt.service
%systemd_post  ipmiutil_asy.service
%systemd_post  ipmiutil_wdt.service
%systemd_post  ipmi_port.service
preuninstall scriptlet (using /bin/sh):
...
%systemd_preun  ipmiutil_evt.service
%systemd_preun  ipmiutil_asy.service
%systemd_preun  ipmiutil_wdt.service
%systemd_preun  ipmi_port.service
...
postuninstall scriptlet (using /bin/sh):
if [ -x /bin/systemctl ]; then
%systemd_postun_with_restart  ipmi_port.service
   if [ -f %{_unitdir}/ipmiutil_evt.service ]; then
      rm -f %{_unitdir}/ipmiutil_evt.service 
      rm -f %{_unitdir}/ipmiutil_asy.service 
      rm -f %{_unitdir}/ipmiutil_wdt.service 
      rm -f %{_unitdir}/ipmi_port.service    
...

Additional info:
- The cause of this issue is the spec missing a BR: systemd to pull-in the
necessary systemd.macros.
- These unexpanded systemd macros may cause yum update failures, leaving behind
duplicate entries in rpmdb.
Comment 1 Andy Cress 2014-11-25 11:22:58 EST
This was added to the ipmiutil.spec file for rawhide/epel6 and upstream in ipmiutil-2.9.3 (03/28/2014). 

03/28/2014 ARCress ipmiutil-2.9.3  changes
  doc/ipmiutil.spec   - add 'BuildRequires: systemd' if Fedora >= 15
Comment 2 Vadim Raskhozhev 2015-02-21 17:35:46 EST
ipmiutil-2.9.1-4.fc21 has

      cp -f ${scr_dir}/ipmiutil_evt.service %{_unitdir}
      cp -f ${scr_dir}/ipmiutil_asy.service %{_unitdir}
      cp -f ${scr_dir}/ipmiutil_wdt.service %{_unitdir}
      cp -f ${scr_dir}/ipmi_port.service    %{_unitdir}

in its install script, which makes a file named /%{_unitdir}
Comment 3 Andy Cress 2015-04-06 12:35:08 EDT
I'm concerned that the fix to add the BuildRequires: systemd from 11/25/2014 for 2.9.3 didn't get merged into fc21.
Comment 4 Fedora End Of Life 2015-05-29 05:33:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 21:24:01 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.